summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-11-30 19:13:02 -0500
committerTim Harder <radhermit@gentoo.org>2017-12-03 16:14:29 -0500
commit0ae29036757e0bf341f53cbf98a099fe4f7f8f20 (patch)
tree1d9965599aff5e79ad9ac3af489e2bdd5fefcb6a /media-sound
parentnet-libs/zeromq: stable 4.2.2-r2 for hppa, bug #618522 (diff)
downloadgentoo-0ae29036757e0bf341f53cbf98a099fe4f7f8f20.tar.gz
gentoo-0ae29036757e0bf341f53cbf98a099fe4f7f8f20.tar.bz2
gentoo-0ae29036757e0bf341f53cbf98a099fe4f7f8f20.zip
media-sound/abcmidi: version bump to 2017.11.27
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/abcmidi/Manifest1
-rw-r--r--media-sound/abcmidi/abcmidi-2017.11.27.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/media-sound/abcmidi/Manifest b/media-sound/abcmidi/Manifest
index cd63b3dd2e9..a15ddcca820 100644
--- a/media-sound/abcmidi/Manifest
+++ b/media-sound/abcmidi/Manifest
@@ -1,3 +1,4 @@
DIST abcMIDI-2017.11.08.zip 556065 SHA256 b66904f5c14ad43da32a8e0956e0dadc2e4f4ff49cc0bb6337703de773661aaa SHA512 c89a49c9a3b3f6d462acd09cc26b2720cbd9cc9525e38b1c9cce41052c01167a66f284854e3cc468737eefdaee321db294edca3a4b3b8c6d93d249330913d630 WHIRLPOOL 973ab1f8d56591fe4eb8c37c4dcf759d35bada828a47984e9390fbfcbb23dd63edd1fc337ff94411970e25e2ff2de221817772caa7698abb008433ed159caafd
DIST abcMIDI-2017.11.10.zip 556044 SHA256 050f11d6309e944244b6ba4c709549e6e10fe38bb831f148e78b083645a4022c SHA512 6a80109849370994a74f71e358bf3225ca750736648e45d16fc5c039106c3f3da9444f509c87c3c55faabbc60db6e468a83d1fcffab788cfbd74b6255ea0cfc4 WHIRLPOOL f5449647c58d9bcdafa378f530f915af242fc62f7eb3011fbee2fc90e9d93fc2fcc48486c82031b7f6f5803570a8540a6517200b1035832bcb2ff527f317995d
DIST abcMIDI-2017.11.19.zip 556185 BLAKE2B 01ec71e17357b3d6050d26c909e06556f5209f1aaddbb0f85031199070dbe93a7980b7b2e238dd7ad8a7a5f4f07683ccbeff1b44942e691286fb75fe1a075e34 SHA512 8e76a55bf699e69425ef51cc4c77f17b952798cd83e620d88781d209bb4f00a9c80b47ad0a40df2a64c2595d94174a2cba44f3e436d7cf066f9126f4fc548dec
+DIST abcMIDI-2017.11.27.zip 557045 BLAKE2B 8f341f7217c1a98732bdfe5e4383c6718476714a4f37f629852f46a40c5e50711194d281dafde16293d45bd0c70c9b7506f5d426db03249ba2358b0c76142941 SHA512 006313ef9fcae652996339a682d308a6e931da9692b4662e3272c8bee73a3803dd9aeb54189cb464c68593473339201b20af6b291524ea2f096567053131e7b6
diff --git a/media-sound/abcmidi/abcmidi-2017.11.27.ebuild b/media-sound/abcmidi/abcmidi-2017.11.27.ebuild
new file mode 100644
index 00000000000..adf33138050
--- /dev/null
+++ b/media-sound/abcmidi/abcmidi-2017.11.27.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MY_P="abcMIDI-${PV}"
+DESCRIPTION="Programs for processing ABC music notation files"
+HOMEPAGE="http://ifdo.ca/~seymour/runabc/top.html"
+SRC_URI="http://ifdo.ca/~seymour/runabc/${MY_P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ local PATCHES=( "${FILESDIR}"/${PN}-2016.05.05-docs.patch )
+ default
+
+ rm configure makefile || die
+ sed -i "s:-O2::" configure.ac || die
+
+ eautoreconf
+}
+
+src_install() {
+ default
+ dodoc doc/{AUTHORS,CHANGES,abcguide.txt,abcmatch.txt,history.txt,readme.txt,yapshelp.txt}
+
+ if use examples ; then
+ docinto examples
+ dodoc samples/*.abc
+ fi
+}